Class | StateParser::Marker
In: | lib/facets/more/stateparser.rb
Parent: | Object

Marker

This is used to hold token places in the parse tree.

### Methods

<< each empty? last new pop

### Attributes

begins | [RW] |
content | [RW] |
ends | [RW] |
info | [RW] |
inner_range | [RW] |
match | [RW] |
outer_range | [RW] |
parent | [RW] |
token | [RW] |

### Public Class methods

new()

### Public Instance methods

<<( content )

array-like methods

each(&blk)
empty?()
last()
pop()

[Validate]